Whats91
Developers

List conversation thread summaries for one recipient mobile number.

Conversations By Mobile

Summary

List conversation thread summaries for one recipient mobile number.

Prerequisites

  • Authorization: Bearer w91_live_xxx
  • Content-Type: application/json for JSON requests

Endpoint: GET /api/v2/reports/conversations/by-mobile/{mobileNumber}. This returns conversation thread summaries for one recipient phone, scoped to the authenticated sender.

GET/api/v2/reports/conversations/by-mobile/{mobileNumber}
ParameterTypeRequiredDescription
AuthorizationheaderRequiredBearer w91_live_xxxxxxxxxxxxxxxxx.
mobileNumberstringRequiredRecipient phone number to inspect.
senderIdstringOptionalWhatsApp sender phone number.
pagenumberOptionalPositive integer. Default 1.
limitnumberOptionalPositive integer. Default 50, max 200.
dateFromstringOptionalYYYY-MM-DD start date.
dateTostringOptionalYYYY-MM-DD end date.
Conversations by mobile
curl "https://graph.whats91.com/api/v2/reports/conversations/by-mobile/919343841961?senderId=919999999999" \
  -H "Authorization: Bearer w91_live_xxx"
By mobile response
{
  "success": true,
  "message": "Mobile conversation reports retrieved",
  "data": {
    "mobileNumber": "919343841961",
    "senderId": "919999999999",
    "conversations": [
      {
        "conversationId": 194977,
        "contactPhone": "919343841961",
        "contactName": "Prashant Tayal",
        "lastMessageContent": "hi",
        "lastMessageAt": "2026-06-05T06:08:48.000Z",
        "status": "active",
        "unreadCount": 1,
        "totalMessages": 2
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 50,
      "count": 1,
      "hasMore": false
    }
  }
}

SDK Examples

Use these examples as starting points for server-side implementations.

cURL
curl -X GET "https://graph.whats91.com/api/v2/reports/conversations/by-mobile/{mobileNumber}" \
  -H "Authorization: Bearer w91_live_xxx"
Node.js
const response = await fetch("https://graph.whats91.com/api/v2/reports/conversations/by-mobile/{mobileNumber}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer w91_live_xxx",
    "Content-Type": "application/json"
  }
});

const data = await response.json();
console.log(data);
PHP
$ch = curl_init("https://graph.whats91.com/api/v2/reports/conversations/by-mobile/{mobileNumber}");
curl_setopt_array($ch, [
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer w91_live_xxx",
    "Content-Type: application/json"
  ]
]);

$response = curl_exec($ch);
curl_close($ch);
echo $response;
Python
import requests

response = requests.request(
    "GET",
    "https://graph.whats91.com/api/v2/reports/conversations/by-mobile/{mobileNumber}",
    headers={
        "Authorization": "Bearer w91_live_xxx",
        "Content-Type": "application/json",
    }
)

print(response.json())
C#
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer w91_live_xxx");

var request = new HttpRequestMessage(HttpMethod.Get, "https://graph.whats91.com/api/v2/reports/conversations/by-mobile/{mobileNumber}");

var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());

Related APIs